Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Class AbstractTabWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.stanford.smi.protege.widget.AbstractWidget
                          edu.stanford.smi.protege.widget.AbstractTabWidget

All Implemented Interfaces:
  Plugin, Disposable, Selectable, TabWidget, Widget, ImageObserver, MenuContainer, Serializable, Accessible

Direct Known Subclasses:
  ClsesAndInstancesTab, ClsesTab, FormsTab, InstancesTab, KAToolTab, ProtegePropertiesTab, SlotsTab, UglyTabWidget

    public abstract class AbstractTabWidget

extends AbstractWidget
implements TabWidget

Base class for all TabWidgets. The interesting methods are all in _AbstractWidget for the moment.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractTabWidget()`

Method Summary
`JButton` | `addMainWindowToolBarButton(Action action)`
`protected void` | `addUserToolBar(JToolBar toolBar)`
`boolean` | `canClose()` Called when the user attempts to close a project.
`boolean` | `canSave()` Called when the user attempts to save a project.
`void` | `close()` Called when the user attempts to close a project and all tabs return 'true' from their #canClose() methods.
`boolean` | `configure()`
`protected JSplitPane` | `createLeftRightSplitPane(String locationPropertyName, int defaultLocation)`
`protected JSplitPane` | `createTopBottomSplitPane(String locationPropertyName, int defaultLocation)`
`JTree` | `getClsTree()`
`Icon` | `getIcon()`
`String` | `getLabel()`
`protected JMenuBar` | `getMainWindowMenuBar()`
`protected JToolBar` | `getMainWindowToolBar()`
`Collection` | `getSelectedInstances()`
`Collection` | `getSelection()`
`String` | `getShortDescription()`
`protected JToolBar` | `getUserToolBar(String name)`
`static boolean` | `isSuitable(Project p, Collection errors)`
`void` | `removeMainWindowToolBarButton(JButton button)`
`protected void` | `removeUserToolBar(JToolBar toolBar)`
`void` | `save()` Called when the user attempts to save a project and all tabs return 'true' from their #canSave() methods.
`protected void` | `setClsTree(JTree tree)`
`void` | `setIcon(Icon icon)`
`protected void` | `setInstanceSelectable(Selectable selectable)`
`void` | `setLabel(String label)`
`void` | `setShortDescription(String description)`
`void` | `setup(WidgetDescriptor descriptor, Project project)`
`void` | `synchronizeClsTree(Collection clses)`
`void` | `synchronizeToInstances(Collection instances)`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractWidget
`addSelectionListener, beginTransaction, beginTransaction, clearSelection, commitTransaction, dispose, endTransaction, equals, getDescriptor, getKnowledgeBase, getProject, getPropertyList, getStringProperty, isDesignTime, isRuntime, notifySelectionListeners, paint, removeSelectionListener, rollbackTransaction, setPropertyList, setup, show, showInstance`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`getDescriptor, getKnowledgeBase, getProject, initialize`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Constructor Detail

### AbstractTabWidget

    public AbstractTabWidget()

Method Detail

### addMainWindowToolBarButton

    public JButton addMainWindowToolBarButton(Action action)

### setLabel

    public void setLabel(String label)

  Specified by:
    `setLabel` in interface `Widget`
  Overrides:
    `setLabel` in class `AbstractWidget`

### getLabel

    public String getLabel()

  Specified by:
    `getLabel` in interface `Widget`
  Overrides:
    `getLabel` in class `AbstractWidget`

### isSuitable

    public static boolean isSuitable(Project p,
                                     Collection errors)

### canClose

    public boolean canClose()

  Description copied from interface: `TabWidget`
  Called when the user attempts to close a project. Return 'true' you tab is in such a state that a close is possible. If for some reason you must prevent a close then you must pop up a dialog letting the user know why the close is not allowed. You should then return 'false'. Most tabs will always return true.

  Specified by:
    `canClose` in interface `TabWidget`

### canSave

    public boolean canSave()

  Description copied from interface: `TabWidget`
  Called when the user attempts to save a project. Return 'true' you tab is in such a state that a save is possible. If for some reason you must prevent a save then you must pop up a dialog letting the user know why the save is not allowed. You should then return 'false'. Most tabs will always return true.

  Specified by:
    `canSave` in interface `TabWidget`

### createLeftRightSplitPane

    protected JSplitPane createLeftRightSplitPane(String locationPropertyName,
                                                  int defaultLocation)

### createTopBottomSplitPane

    protected JSplitPane createTopBottomSplitPane(String locationPropertyName,
                                                  int defaultLocation)

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `TabWidget`

### getMainWindowMenuBar

    protected JMenuBar getMainWindowMenuBar()

### getMainWindowToolBar

    protected JToolBar getMainWindowToolBar()

### getUserToolBar

    protected JToolBar getUserToolBar(String name)

### addUserToolBar

    protected void addUserToolBar(JToolBar toolBar)

### removeUserToolBar

    protected void removeUserToolBar(JToolBar toolBar)

### removeMainWindowToolBarButton

    public void removeMainWindowToolBarButton(JButton button)

### save

    public void save()

  Description copied from interface: `TabWidget`
  Called when the user attempts to save a project and all tabs return 'true' from their #canSave() methods. Do any tab specific save operations in this method. Most tabs will do nothing.

  Specified by:
    `save` in interface `TabWidget`

### close

    public void close()

  Description copied from interface: `TabWidget`
  Called when the user attempts to close a project and all tabs return 'true' from their #canClose() methods. Do any tab specific close operations in this method. Most tabs will do nothing.

  Specified by:
    `close` in interface `TabWidget`

### getShortDescription

    public String getShortDescription()

  Specified by:
    `getShortDescription` in interface `TabWidget`

### setIcon

    public void setIcon(Icon icon)

### configure

    public boolean configure()

  Specified by:
    `configure` in interface `Widget`

### setup

    public void setup(WidgetDescriptor descriptor,
                      Project project)

  Specified by:
    `setup` in interface `TabWidget`

### setShortDescription

    public void setShortDescription(String description)

### setClsTree

    protected void setClsTree(JTree tree)

### setInstanceSelectable

    protected void setInstanceSelectable(Selectable selectable)

### getSelectedInstances

    public Collection getSelectedInstances()

  Specified by:
    `getSelectedInstances` in interface `TabWidget`

### getClsTree

    public JTree getClsTree()

### getSelection

    public Collection getSelection()

  Specified by:
    `getSelection` in interface `Selectable`
  Overrides:
    `getSelection` in class `AbstractWidget`

### synchronizeClsTree

    public void synchronizeClsTree(Collection clses)

  Specified by:
    `synchronizeClsTree` in interface `TabWidget`

### synchronizeToInstances

    public void synchronizeToInstances(Collection instances)

  Specified by:
    `synchronizeToInstances` in interface `TabWidget`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.